Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.console.remote
Class AppletRemoteMBeanInvoker

    java.lang.Object
      org.jboss.console.remote.AppletRemoteMBeanInvoker

All Implemented Interfaces:
  SimpleRemoteMBeanInvoker

public class AppletRemoteMBeanInvoker
extends Object
implements SimpleRemoteMBeanInvoker

Version:
  $Revision: 1.4 $

  Revisions:

  21. avril 2003 Sacha Labourey:

  - First implementation
Author:
  Sacha Labourey.
See Also:

Constructor Summary
`AppletRemoteMBeanInvoker(String baseUrl)`

Method Summary
`Object` | `getAttribute(javax.management.ObjectName name, String attrName)`
`Object` | `invoke(javax.management.ObjectName name, String operationName, Object[] params, String[] signature)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AppletRemoteMBeanInvoker

    public AppletRemoteMBeanInvoker(String baseUrl)
                             throws MalformedURLException

Method Detail

### invoke

    public Object invoke(javax.management.ObjectName name,
                         String operationName,
                         Object[] params,
                         String[] signature)
                  throws Exception

  Specified by:
    `invoke` in interface `SimpleRemoteMBeanInvoker`
  Throws:
    `Exception`

### getAttribute

    public Object getAttribute(javax.management.ObjectName name,
                               String attrName)
                        throws Exception

  Specified by:
    `getAttribute` in interface `SimpleRemoteMBeanInvoker`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.